#### D.15.8.6 orbitCones

Procedure from library `gitfan.lib` (see gitfan_lib).

Usage:
  orbitCones(a, Q, b, c); a: ideal, Q: bigintmat, b: int, c: int

Purpose:
  Returns a list consisting of all cones Q(gam0) where gam0 is an a-face. Moreover, it is possible to specify a dimensional bound b, upon which only cones of that dimension and above are returned. Lastly, as the computation is parallizable, one can specify c, the number of cores to be used by the computation.

Return:
  a list of cones

Example:

    LIB "gitfan.lib";
    intmat Q[3][4] =
    1,0,1,0,
    0,1,0,1,
    0,0,1,1;
    ring R = 0,T(1..4),dp;
    ideal a = 0;
    orbitCones(a, Q);
    ==> [1]:
    ==>    AMBIENT_DIM
    ==> 3
    ==> FACETS
    ==>
    ==> LINEAR_SPAN
    ==> 1,0,0,
    ==> 0,1,0,
    ==> 0,0,1
    ==>
    ==> [2]:
    ==>    AMBIENT_DIM
    ==> 3
    ==> FACETS
    ==> 0,0, 1,
    ==> 0,1, 0,
    ==> 1,0,-1
    ==> LINEAR_SPAN
    ==>
    ==>
    ==> [3]:
    ==>    AMBIENT_DIM
    ==> 3
    ==> FACETS
    ==> 0,0, 1,
    ==> 0,1,-1,
    ==> 1,0, 0
    ==> LINEAR_SPAN
    ==>
    ==>
    ==> [4]:
    ==>    AMBIENT_DIM
    ==> 3
    ==> FACETS
    ==> 0,-1, 1,
    ==> 0, 1, 0,
    ==> 1, 1,-1
    ==> LINEAR_SPAN
    ==>
    ==>
    ==> [5]:
    ==>    AMBIENT_DIM
    ==> 3
    ==> FACETS
    ==> -1,0, 1,
    ==>  1,0, 0,
    ==>  1,1,-1
    ==> LINEAR_SPAN
    ==>
    ==>
    ==> [6]:
    ==>    AMBIENT_DIM
    ==> 3
    ==> FACETS
    ==> 0,0, 1,
    ==> 0,1, 0,
    ==> 1,0, 0,
    ==> 1,1,-1
    ==> LINEAR_SPAN
    ==>
    ==>

User manual for Singular version 4-0-3, 2016, generated by texi2html.